﻿#NoEnv

folderPath := "C:\Render\Output"

CopyFilesToClipboard(FolderPath)
{
    fileList := ""
    Loop, Files, %FolderPath%\*, F
    {
        fileList .= A_LoopFileLongPath . "`n"
    }
    
    Clipboard := ""
    ClipboardSetFiles(fileList)
    ClipWait, 1
}

ClipboardSetFiles(FilesToSet, DropEffect := "Copy")
{
    Static TCS := A_IsUnicode ? 2 : 1
    Static PreferredDropEffect := DllCall("RegisterClipboardFormat", "Str", "Preferred DropEffect")
    Static DropEffects := {1: 1, 2: 2, Copy: 1, Move: 2}
    
    TotalLength := 0
    FileArray := []
    Loop, Parse, FilesToSet, `n, `r
    {
        If (Length := StrLen(A_LoopField))
            FileArray.Push({Path: A_LoopField, Len: Length + 1})
        TotalLength += Length
    }
    FileCount := FileArray.Length()
    If !(FileCount && TotalLength)
        Return False
    
    If DllCall("OpenClipboard", "Ptr", A_ScriptHwnd) && DllCall("EmptyClipboard")
    {
        hDrop := DllCall("GlobalAlloc", "UInt", 0x42, "UInt", 20 + (TotalLength + FileCount + 1) * TCS, "UPtr")
        pDrop := DllCall("GlobalLock", "Ptr", hDrop)
        Offset := 20
        NumPut(Offset, pDrop + 0, "UInt")
        NumPut(!!A_IsUnicode, pDrop + 16, "UInt")
        For Each, File in FileArray
            Offset += StrPut(File.Path, pDrop + Offset, File.Len) * TCS
        DllCall("GlobalUnlock", "Ptr", hDrop)
        DllCall("SetClipboardData", "UInt", 0x0F, "UPtr", hDrop)
        
        If (DropEffect := DropEffects[DropEffect])
        {
            hMem := DllCall("GlobalAlloc", "UInt", 0x42, "UInt", 4, "UPtr")
            pMem := DllCall("GlobalLock", "Ptr", hMem)
            NumPut(DropEffect, pMem + 0, "UChar")
            DllCall("GlobalUnlock", "Ptr", hMem)
            DllCall("SetClipboardData", "UInt", PreferredDropEffect, "Ptr", hMem)
        }
        DllCall("CloseClipboard")
        Return True
    }
    Return False
}

CopyFilesToClipboard(folderPath)

IfWinExist, ahk_exe zalo.exe
{
    WinActivate
}

Sleep, 500

Send, ^v
Sleep, 500
Send, {Enter}

Send, [tin nhắn tự động] Em gửi phương án 3D ạ. Anh chị xem và cho em xin ý kiến nhé.
Sleep, 150
Send, {Enter}
Sleep, 150
Send, [tin nhắn tự động] Hiện tại em đang không có mặt tại văn phòng.
Sleep, 150
Send, {Enter}
Sleep, 150
Send, [tin nhắn tự động] Các thắc mắc em xin phép giải đáp vào buổi họp đầu giờ chiều.
Sleep, 150
Send, {Enter}
Sleep, 150
Send, [tin nhắn tự động] Cảm ơn anh chị đã xem.
Sleep, 150
Send, {Enter}
